/* Pepito v1.59  -- file: pepito.c --
   Copyright (c) 2000-02 Carlos del Cacho

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.

   Contact the author: guggenjaimito@yahoo.com
*/

#define UNIQUE_SOURCE_FILE

#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <signal.h>
#include "datos.h"
#ifndef LINUX
#  include <windows.h>
#  include <winbase.h>
#  include <wincon.h>
#  include <io.h>
#else
#  include <sys/time.h>
#endif


double reduction_base  = 2.0;
double reduction_slope = 0.2;
double reduction_lid = 4.5;

#include "config.c"
#include "datos.c"
#include "fen.c"
#include "initataq.c"
#include "initeval.c"
#include "initpos.c"
#include "input.c"
#include "itera.c"
#include "main.c"
#include "gentest.c"
#include "genjug.c"
#include "mueve.c"
#include "negascou.c"
#include "sort.c"
#include "see.c"
#include "eval.c"
#include "atqs.c"
#include "bitop.c"
#include "hash.c"
#include "probe.c"
#include "time.c"
#include "verif.c"
#include "btree.c"
#include "skipl.c"
#include "book.c"
#include "command.c"
#include "uci.c"
#include "xboard.c"
#include "stack.c"
#include "multipv.c"

